/* Import fonts */
@import url('../fonts/Roboto.css');
@font-face {
  font-family: 'Georgia Pro';
  src:
    local('Georgia Pro Bold'),
    local('Georgia-Pro-Bold'),
    url('../fonts/GeorgiaPro-Bold.woff2') format('woff2'),
    url('../fonts/GeorgiaPro-Bold.woff') format('woff'),
    url('../fonts/GeorgiaPro-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}

@import url('./normalize.css');
* {
  margin: 0; /*от текущего єлемента до родительского */
  box-sizing: border-box;
  font-family: 'Source Sans Pro', sans-serif;
}

.content {
  margin: auto;
  position: relative;
  width: 100%;
  max-width: 1200px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  padding: 30px 70px 30px 70px; /*пространство между содержанием элемента и его границей*/
  overflow-x: hidden; /*без прокрутки*/
}

button,
.button {
  border: 1px solid #f75c49;
  color: #f75c49;
  background-color: white;
  text-decoration: none; /*убрать полоску*/
  display: flex; /*выравнивание по вертикали*/
  align-items: center;
  justify-content: center; /*распределение пространства между элементами*/
}

/*смена вида при наведении на объект*/
button:hover,
.button:hover {
  background-color: #f75c49;
  color: white;
}

/*Teachinder*/
.logo {
  color: white;
  font-family: "Georgia Pro", serif;
  text-shadow: 1px 1px 0 black, -1px -1px 0 #f86c5b;
  width: 300px;
  height: 40px;
  font-size: 40px;
  padding: 0;
}

/*поиск*/
.searcher {
  display: flex;
  width: 250px;
  height: 40px;
}

form input,
select {
  margin-bottom: 10px; /*расстояние между элементами формы "Add teacher"*/
}

/*.searcherText {
  display: block;
  width: 100%;
  max-width: 190px;
  height: 100%;
}*/

.searcherButton {
  width: 100%;
  max-width: 90px;
  height: 100%;
  font-size: 12px;
  font-weight: bold;
}

/*размещение соответствующих элементов*/
.Headlogo,
.HeadMenu {
  display:flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.HeadMenu {
  margin-top: 60px;
  height: 52px;
  align-items: center;
}

.HeadMenuPlace
 {
  display: flex;
  justify-content: space-between;
  width: 460px;
  padding-left: 0;
}

.HeadMenuPlace
 a {
  font-family: Arial, serif;
  font-size: 18px;
  color: #f75c49;
  text-decoration: none;
}

.addTeacherButton {
  font-size: 19px;
  font-weight: bold;
  height: 55px;
  min-width: 170px;
}
.stripes {
  display: none;
  margin-right: 10px;
}

.m1,
.m2,
.m3 {
  width: 35px;
  height: 5px;
  background-color: #f75c49;
  margin: 6px 0;
  transition: 0.4s;
}

#menuToggle:checked ~ .stripes > .m1 {
  height: 2px;
  transform: rotate(-45deg) translate(-6px, 10px);
}

#menuToggle:checked ~ .stripes > .m2 {
  height: 2px;
  opacity: 0;
}

#menuToggle:checked ~ .stripes > .m3 {
  height: 2px;
  transform: rotate(45deg) translate(0, -6px);
}

#menuToggle {
  opacity: 0;
}

.HeadMenuPlace
 ~ .stripes > #menuToggle:checked {
  transform: translate(0%, 0%);
}

/*разделение*/
hr {
  border: none;
  background-color: black; /* Цвет линии */
  color: black;
  height: 2px; /*Толщина*/
  max-width: 500px;
  width: 100%;
  margin: 40px auto;
}

/*заголовки*/
.title {
  font-family: Arial, serif;
  font-size: 30px;
  text-align: center;
  margin-bottom: 50px;
}

.filter {
  display: flex;
  flex-wrap: wrap;
  padding-left: 0;
}

.filter .filterElement {
  font-size: 14px;
  color: gray;
  list-style-type: none;/*Отменяет маркеры для списка.*/
  border-right: 1px dotted black;
  margin-right: 4px;
  margin-left: 10px;
}

.filterElement label {
  margin-right: 15px;
}

.filter .filterElement:last-child {
  border-right: none;
}

.cardsGrid {
  display: grid;
  justify-content: center;
  margin: 0 auto;
  grid-template-columns: repeat(auto-fit, 200px);
}

.card {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  width: 200px;
  min-height: 230px;
  word-spacing: 9999999px;
}

/*аватарки в кружке*/
.cardScale {
  position: relative;
  overflow: hidden;
  width: 120px;
  height: 120px;
  margin-top: 25px;
  margin-right: 40px;
  margin-left: 40px;
  border-radius: 50%;
  box-shadow: 0 0 0 3px #f99589;
}

article p {
  padding-bottom: 15px;
}

.cardScale p {
  font-size: 25px;
  color: #f99589;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  padding: 50px;
}

.contactData p {
  padding-top: 10px;
}

.cardScale p:hover {
  color: #cc4836;
  font-size: 28px;
}

.cardScale img {
  width: 120px;
  height: 120px;
  background: #f99589;
}

.photoAndDescr img {
  max-width: 320px;
  width: 50%;
  flex-basis: 320px;
  flex-shrink: 1;
}

.cardScale img:hover {
  transform: scale(1.1);
}

.cardScale:hover {
  box-shadow: 0 0 0 3px #cc4836;
  cursor: pointer;
}

.cardName {
  text-align: center;
  font-size: 18px;
}

.cardCountry {
  font-size: 10px;
  text-align: center;
}

.favorite {
  color: #ecec02;
  position: absolute;
  width: 20px;
  height: 20px;
  right: 10%;
  top: 10%;
  z-index: 9999;
}

.table_statistics {
  border-collapse: collapse;
  text-align: center;
  width: 100%;
  font-size: 13px;
}

.table_statistics td,
.table_statistics th {
  padding: 10px;
}

.table_statistics th {
  font-weight: normal;
  font-size: 16px;
  border-bottom: 1px solid black;
  background: white;
}

.table_statistics tr:nth-child(odd) {
  background: #f9f5f9;
}

.table_statistics td:nth-child(1),
.table_statistics th:nth-child(1) {
  text-align: left;
}

.table_statistics th:hover {
  border-bottom: 3px solid black;
  background-color: #fafafa;
  cursor: pointer;
}

.pagination {
  display: inline-block;
  margin-top: 40px;
  margin-left: 15px;
}

.pageNumber {
  color: #65b7e0;
  float: left;
  margin-right: 20px;
  text-decoration: none;
}

.pageNumber.active {
  color: black;
}

.slider {
  margin: 0 auto;
  position: relative;
}

.sliderLine {
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(auto-fit, 200px);
  grid-template-rows: repeat(1, 1fr);
  grid-auto-rows: 0;
  overflow: hidden;
}

.slideLeft,
.slideRight {
  position: absolute;
  z-index: 999;
  top: 50%;
  height: 50px;
  width: 50px;
}

.slideLeft {
  left: -5%;
  transform: scale(-1, 1);
}

.slideRight {
  right: -5%;
}

article {
  margin-bottom: 50px;
}

footer {
  display: flex;
  justify-content: space-between;
}

.footerNav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 50%;
  font-size: 20px;
}

.footerNav a {
  text-decoration: none;
  color: #65a3be;
}

.upArrow {
  visibility: hidden;
  width: 50px;
  height: 50px;
}

@media screen and (max-width: 850px) {
  .content {
    padding: 10px;
  }

  .slideRight {
    right: 0;
  }

  .slideLeft {
    left: 0;
  }
}

.teacherInfoModal {
  display: none;
  position: fixed;
  background-color: white;
  max-height: 600px;
  max-width: 1000px;
  width: 100%;
  top: 50%;
  left: 50%;
  right: 0;
  transform: translate(-50%, -50%);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  z-index: 9999;
}

.addTeacherModal {
  display: none;
  position: fixed;
  background-color: white;
  height: 600px;
  max-width: 400px;
  width: 100%;
  top: 50%;
  left: 50%;
  right: 0;
  bottom: 0;
  transform: translate(-50%, -50%);
  border: 1px solid black;
  z-index: 9999;
}

.formInput {
  width: 100%;
  height: 35px;
}

.submitButton input {
  width: 100%;
}

.formSelectContainer {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.teacherInfoModal:target,
.addTeacherModal:target {
  display: block;
}

.popupContainer {
  padding-right: 10%;
  padding-left: 10%;
  width: 100%;
  height: 100%;
  margin: auto;
}

.photoAndDescr {
  display: flex;
  max-height: 350px;
  width: 100%;
}

.photoAndDescr .descr {
  width: 100%;
  flex-shrink: 1;
  padding-left: 10px;
  margin-left: 50px;
}

.toggleMap {
  padding-top: 25px;
  padding-bottom: 25px;
}

.teacherInfo {
  padding-top: 40px;
}

.modal-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 15;
  background-color: rgba(0, 0, 0, 0.5);
}

.exitCross {
  width: 40px;
  height: 40px;
  position: absolute;
  right: 5px;
  top: 5px;
}

@media screen and (max-width: 680px) {
  .HeadMenuPlace
   {
    position: absolute;
    top: 0;
    right: 0;
    height: 220px;
    width: 100%;
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    transition: 0.5s;
    transform: translate(85%, -100%);
  }

  #menuToggle:checked ~ .HeadMenuPlace
   {
    transform: translate(0%, 0%);
  }

  .footerNav {
    display: none;
  }

  .stripes {
    position: absolute;
    z-index: 1;
    right: 0;
    top: 0;
    display: inline-block;
  }

  .headerHeadMenu {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 10px;
  }

  .headerHeadLogo {
    display: block;
  }

  .searcher {
    width: 100%;
    justify-content: center;
    flex-wrap: nowrap;
    margin-top: 40px;
  }

  .popupContainer {
    padding: 5px;
  }
}
